summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArthur Zamarin <arthurzam@gentoo.org>2021-08-31 09:42:57 +0300
committerArthur Zamarin <arthurzam@gentoo.org>2021-08-31 09:43:04 +0300
commit2e16c3329e78e755990f0acf083228640c24f71f (patch)
treee9e5d5ff0b7a50cbd510b176cefd95e2ea16f9a7
parentdev-python/pastedeploy: add github upstream metadata (diff)
downloadgentoo-2e16c3329e78e755990f0acf083228640c24f71f.tar.gz
gentoo-2e16c3329e78e755990f0acf083228640c24f71f.tar.bz2
gentoo-2e16c3329e78e755990f0acf083228640c24f71f.zip
dev-python/pastedeploy: fix doc generation
Upstream started using sphinx docs generation, but are using a unique theme. Change the theme to a more common one: 'sphinx_rtd_theme'. Closes: https://bugs.gentoo.org/696136 Closes: https://bugs.gentoo.org/750089 Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
-rw-r--r--dev-python/pastedeploy/files/pastedeploy-2.1.1-change-sphinx-theme.patch30
-rw-r--r--dev-python/pastedeploy/pastedeploy-2.1.1-r1.ebuild37
2 files changed, 67 insertions, 0 deletions
diff --git a/dev-python/pastedeploy/files/pastedeploy-2.1.1-change-sphinx-theme.patch b/dev-python/pastedeploy/files/pastedeploy-2.1.1-change-sphinx-theme.patch
new file mode 100644
index 00000000000..d204fc135c6
--- /dev/null
+++ b/dev-python/pastedeploy/files/pastedeploy-2.1.1-change-sphinx-theme.patch
@@ -0,0 +1,30 @@
+--- a/docs/conf.py
++++ b/docs/conf.py
+@@ -13,7 +13,6 @@
+
+ import datetime
+ import pkg_resources
+-import pylons_sphinx_themes
+
+ # If your extensions are in another directory, add it here.
+ #sys.path.append('some/directory')
+@@ -83,8 +82,7 @@ pygments_style = 'sphinx'
+ # Options for HTML output
+ # -----------------------
+
+-html_theme = 'pylons'
+-html_theme_path = pylons_sphinx_themes.get_html_themes_path()
++html_theme = 'sphinx_rtd_theme'
+ html_theme_options = dict(
+ canonical_url='https://docs.pylonsproject.org/projects/pastedeploy/en/latest/'
+ )
+--- a/setup.py
++++ b/setup.py
+@@ -8,7 +8,6 @@ readme = open(readme_path).read()
+
+ docs_extras = [
+ "Sphinx >= 1.7.5", # Read The Docs minimum version
+- "pylons-sphinx-themes",
+ ]
+
+ setup(
diff --git a/dev-python/pastedeploy/pastedeploy-2.1.1-r1.ebuild b/dev-python/pastedeploy/pastedeploy-2.1.1-r1.ebuild
new file mode 100644
index 00000000000..fea82c6834d
--- /dev/null
+++ b/dev-python/pastedeploy/pastedeploy-2.1.1-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="PasteDeploy"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Load, configure, and compose WSGI applications and servers"
+HOMEPAGE="https://pypi.org/project/PasteDeploy/"
+# pypi tarball does not include tests
+SRC_URI="https://github.com/Pylons/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-solaris"
+
+RDEPEND="dev-python/namespace-paste[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}/${P}-change-sphinx-theme.patch"
+)
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${D}" -name '*.pth' -delete || die
+}